<?php session_start();

    require_once('Connections/conn.php');
    mysql_select_db("siga_pregrado");
    mysql_query ("SET NAMES 'utf8'");
    $cedula=$_GET['cedula'];
    $id_carrera=$_GET['id_carrera'];

    $sql_alumno = "SELECT id_alumno, apellidos, nombres, sede FROM alumnos where cedula='$cedula'";
	$rs_alumno = mysql_query($sql_alumno, $conn) or die(mysql_error());
	$row_alumno = mysql_fetch_assoc($rs_alumno);
	$id_alumno=$row_alumno['id_alumno'];
	$sede=$row_alumno['sede'];
	$nombre_alumno= $row_alumno['apellidos'].', '.$row_alumno['nombres'];
	
	 // Limpia el record tenporal del estudiante
	 $sql = "delete from historico_notas_aux where id_alumno='$id_alumno'";
     mysql_query($sql, $conn) or die(mysql_error());
	 // Crea el record académico temporal del estudiante que se inscribirá. 
	 $sql = "insert into historico_notas_aux select * from historico_notas where  id_alumno='$id_alumno'";
      mysql_query($sql, $conn) or die(mysql_error());
	
	$sql_carrera = "SELECT nombre_carrera FROM carreras where id_carrera='$id_carrera'";
	$rs_carrera = mysql_query($sql_carrera, $conn) or die(mysql_error());
	$row_carrera = mysql_fetch_assoc($rs_carrera);
	$nombre_carrera=$row_carrera['nombre_carrera'];
	
	$sql_sede = "SELECT ubicacion_sede,nombre_sede FROM sedes where codigo='$sede'";
	$rs_sede = mysql_query($sql_sede, $conn) or die(mysql_error());
	$row_sede = mysql_fetch_assoc($rs_sede);
	$nombre_sede=$row_sede['ubicacion_sede'].'-'.$row_sede['nombre_sede'];
	
	$sql_carrera_alumno = "SELECT mencion,nivel,turno FROM carreras_alumno where id_alumno='$id_alumno' and id_carrera='$id_carrera' and pensum='6'";
	$rs_carrera_alumno = mysql_query($sql_carrera_alumno, $conn) or die(mysql_error());
	$row_carrera_alumno = mysql_fetch_assoc($rs_carrera_alumno);
	$mencion= $row_carrera_alumno['mencion'];
	$nivel= $row_carrera_alumno['nivel'];
	$turno=$row_carrera_alumno['turno'];
	if($turno=="1") $nombre_turno="MATUTINO";
	if($turno=="2") $nombre_turno="VESPERTINO";
	if($turno=="4") $nombre_turno="NOCTURNO";
	
	
	$nombre_nivel='CURSO DE INICIACIÓN UNIVERSITARIA';
	if($nivel=='CG') $nombre_nivel='COMPONENTE GENERAL';
	if($nivel=='CP') $nombre_nivel='CICLO PROFESIONAL'; 
	
	$nombre_mencion='COMÚN';
	if($mencion!='COMUN'){
	   $sql_mencion = "SELECT nombre_mencion FROM menciones where id_mencion='$mencion' and id_carrera='$id_carrera'";
	   $rs_mencion = mysql_query($sql_mencion, $conn) or die(mysql_error());
	   $row_mencion = mysql_fetch_assoc($rs_mencion);
	   $nombre_mencion=$row_mencion['nombre_mencion'];
	}

?>

<html>
<head>
<title>siga_pregrado -- inscripciones</title>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd1 {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 14px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    background-color: #FFFFFF01;
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    background-color: #FFFFFF01;
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    background-color: #FFFFFF01;
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>

<script src="jquery.min.js" type="text/javascript"></script>

</head>

<script>
$(document).ready(function(){
	$("#id_materia").change(function(){
		$.post("carga_seccion_ofertada.php",{ id:$(this).val(),c:'<?php echo $id_carrera ?>',t:'<?php echo $turno ?>' },function(data){$("#seccion").html(data);})
	});	
	
})
</script>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Mofificaci&oacute;n de Inscripci&oacute;n</tr></table>
<table class="bd1" border="0" cellspacing="1" cellpadding="2">
<tr><td><b>C&Eacute;DULA:</b>&nbsp;&nbsp;<?php echo $cedula; ?>&nbsp;&nbsp;<b>ESTUDIANTE:</b>&nbsp;&nbsp;<?php echo $nombre_alumno; ?></td></tr>
<tr><td><b>PROGRAMA:</b>&nbsp;&nbsp;<?php echo $nombre_carrera; ?>&nbsp;&nbsp;<b>MENCI&Oacute;N:</b>&nbsp;&nbsp;<?php echo $nombre_mencion; ?></td></tr>
<tr><td><b>NIVEL:</b>&nbsp;<?php echo $nombre_nivel ?>&nbsp;&nbsp;<b>SEDE:</b>&nbsp;<?php echo $nombre_sede ?>&nbsp;&nbsp;<b>TURNO:</b>&nbsp;<?php echo $nombre_turno ?></td></tr>
</table>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 20;
  $pagerange = 20;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
    case "edit":
      editrec($recid);
      break;
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }


  mysql_close($conn);
?>

<table class="bd" width="100%"><tr><td class="hr">!SIGA LA ENAHP!</td></tr></table>

</body>
</html>

<?php function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $conn;
  global $cedula;
  global $id_carrera;
  
  
    
	

  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>

<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="4"width="100%">
<tr>
<td class="hr">Borrar</td>
<td class="hr">C&oacute;digo</td>
<td class="hr"><?php echo "Nombre de la Materia" ?></td>
<td class="hr"><?php echo "Sem." ?></td>
<td class="hr">Secci&oacute;n</td>
<td class="hr"><?php echo "Turno" ?></td>
<td class="hr"><?php echo "Sede" ?></td>

</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	
	$id_materia=$row["id_materia"];
	$id_carrera=$row["id_carrera"];
	$pensum=$row["pensum"];
	$sql = "SELECT nombre_materia FROM materias where id_carrera='$id_carrera' and id_materia='$id_materia' and pensum='$pensum'";
	$rs = mysql_query($sql, $conn) or die(mysql_error());
	$row_materia = mysql_fetch_assoc($rs);
	$nombre_materia= $row_materia['nombre_materia'];

?>
<tr>

<td class="<?php echo $style ?>" align="center"><a href="modificar_inscripcion.php?a=del&recid=<?php echo $i ?>&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>"><img src="imagenes/delete.png" border="0" ></a></td>

<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["id_materia"]) ?></td>
<td class="<?php echo $style ?>"><?php echo $nombre_materia; ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["semestre"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["id_seccion"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["turno"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["sede"]) ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid)
  {
  global $conn;
  
   if($row["turno"]=="1") $nombre_turno="MATUTINO";
	if($row["turno"]=="2") $nombre_turno="VESPERTINO";
	if($row["turno"]=="4") $nombre_turno="NOCTURNO";
	
	
	$nombre_nivel='CURSO DE INICIACIÓN UNIVERSITARIA';
	if($row["nivel"]=='CG') $nombre_nivel='COMPONENTE GENERAL';
	if($row["nivel"]=='CP') $nombre_nivel='CICLO PROFESIONAL'; 
	
	$nombre_mencion='COMÚN';
	if($row["mencion"]!='COMUN'){
	   $sql_mencion = "SELECT nombre_mencion FROM menciones where id_mencion='$mencion' and  id_carrera='$id_carrera'";
	   $rs_mencion = mysql_query($sql_mencion, $conn) or die(mysql_error());
	   $row_mencion = mysql_fetch_assoc($rs_mencion);
	   $nombre_mencion=$row_mencion['nombre_mencion'];
	}
	 $sede=$row["sede"];
	$sql_sede = "SELECT ubicacion_sede,nombre_sede FROM sedes where codigo='$sede'";
	$rs_sede = mysql_query($sql_sede, $conn) or die(mysql_error());
	$row_sede = mysql_fetch_assoc($rs_sede);
	$nombre_sede=$row_sede['ubicacion_sede'].'-'.$row_sede['nombre_sede'];
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3"width="50%">
<tr>
<td class="hr">Matr&iacute;cula del estudiante&nbsp;</td>
<td class="dr"><?php echo htmlspecialchars($row["id_alumno"]) ?></td>
</tr>
<tr>
<td class="hr">Código de Materia&nbsp;</td>
<td class="dr"><?php echo htmlspecialchars($row["id_materia"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("semestre")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["semestre"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_sede; ?></td>
</tr>
<tr>
<td class="hr">Secci&oacute;n&nbsp;</td>
<td class="dr"><?php echo htmlspecialchars($row["id_seccion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Turno")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_turno; ?></td>
</tr>
<tr>
<td class="hr">Programa&nbsp;</td>
<td class="dr"><?php echo htmlspecialchars($row["id_carrera"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Pensum")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["pensum"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Mencion")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_mencion; ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nivel")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_nivel; ?></td>
</tr>

<tr>
<td class="hr">Lapso Acad&eacute;mico&nbsp;</td>
<td class="dr"><?php echo htmlspecialchars($row["id_periodo"]) ?></td>
</tr>



</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  global $id_alumno;
  global $id_carrera;
  global $mencion;
  global $nivel;
  global $sede;
  global $turno;
  global $id_periodo;
  
  $pensum='6';
  $id_periodo='70';
  
  if($mencion=='COMUN'){
  $sql_oferta = "SELECT DISTINCT id_materia,nmateria,semestre FROM oferta_academica where id_carrera='$id_carrera' and id_periodo='70' and pensum='6' and mencion='$mencion' and nivel='$nivel' and sede='$sede' and (semestre>0 and semestre<=3)";

	}
	else{
	$sql_oferta = "SELECT DISTINCT id_materia,nmateria,semestre FROM oferta_academica where id_carrera='$id_carrera' and id_periodo='70' and pensum='6' and mencion='$mencion' and nivel='$nivel' and semestre>0";
	}
	if($turno=='4'){
	   $sql_oferta=$sql_oferta." and turno='4' order by nmateria";
	}
	else{
	   $sql_oferta=$sql_oferta." and (turno='1' or turno='2') order by nmateria";
	}

	$rs_oferta = mysql_query($sql_oferta, $conn) or die(mysql_error());
	$row_oferta = mysql_fetch_assoc($rs_oferta);
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<tr>

<td class="hr"><?php echo htmlspecialchars("Materias Ofertadas")."&nbsp;" ?></td>
<td class="dr"><select id="id_materia" name="id_materia" onChange="validar_oferta(this.value,'<?php echo $id_carrera?>','<?php echo $pensum?>','<?php echo $mencion?>','<?php echo $id_alumno?>')">
<option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_oferta['id_materia']?>"><?php echo $row_oferta['nmateria'].' ('.$row_oferta['semestre'].')' ?></option>
  <?php
} while ($row_oferta = mysql_fetch_assoc($rs_oferta));
  $rows = mysql_num_rows($rs_oferta);
  if($rows > 0) {
      mysql_data_seek($rs_oferta, 0);
	  $row_oferta = mysql_fetch_assoc($rs_oferta);
  }
?>
</select><iframe name="frame_oferta" id="frame_oferta" with="0" height="0" frameborder="0" ></iframe>
</td>
</tr>
<td class="hr">Secci&oacute;n&nbsp;</td>
<td class="dr"><select id="seccion" name="seccion">
            <option value="0">Seleccione...</option>
        </select></td>
</tr>

</table>
<?php } ?>

<?php function showpagenav($page, $pagecount)
{
global $cedula;
global $id_carrera;
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="modificar_inscripcion.php?a=add&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>">Inscribir Materia</a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="modificar_inscripcion.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="modificar_inscripcion.php?page=<?php echo $j ?>&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="modificar_inscripcion.php?page=<?php echo $startpage ?>&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="modificar_inscripcion.php?page=<?php echo $page + 1 ?>&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
global $cedula;
global $id_carrera;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="modificar_inscripcion.php?id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="modificar_inscripcion.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>">Registro Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="modificar_inscripcion.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>">Siguiente Registro</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
global $cedula;
global $id_carrera;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="modificar_inscripcion.php?id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="form1" id="form1" enctype="multipart/form-data" action="modificar_inscripcion.php?id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>" method="post">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "id" => "",
  "id_alumno" => "",
  "sede" => "",
  "id_seccion" => "",
  "id_carrera" => "",
  "pensum" => "",
  "nivel" => "",
  "mencion" => "",
  "id_periodo" => "",
  "semestre" => "",
  "turno" => "",
  "id_materia" => "");
showroweditor($row, false);
?>
<p><input type="submit" name="action" value="Inscribir"></p>
</form>
<?php } ?>
<?php function editrec($recid)
{
global $cedula;
global $id_carrera;

  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>
<br>
<form enctype="multipart/form-data" action="modificar_inscripcion.php?id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid" value="<?php echo $row["id"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
global $cedula;
global $id_carrera;

  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count);
?>
<br>
<form action="modificar_inscripcion.php?id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid" value="<?php echo $row["id"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "siga_dbm", "2PN2QDmP6ZsHrcue");
  mysql_select_db("siga_pregrado");
  return $conn;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
global $conn;
global $cedula;
global $id_carrera;
global $id_alumno;
  
  $sql = "SELECT `id`, `id_alumno`, `sede`, `id_seccion`, `id_carrera`, `pensum`, `nivel`, `mencion`, `id_periodo`, `semestre`, `turno`, `id_materia` FROM `inscripciones` where id_alumno='$id_alumno'";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $id_alumno;

  $sql = "SELECT COUNT(*) FROM `inscripciones` where id_alumno='$id_alumno'";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;
  
  global $id_alumno;
  global $id_carrera;
  global $mencion;
  global $nivel;
  global $sede;
  global $turno;
  global $id_periodo;
  $id_periodo='70';
  $pensum='6';
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  $seccion=@$_POST["seccion"];
  $id_materia=@$_POST["id_materia"];
  
  // Determino el semestre y profesor de la materia.
  $sql = "SELECT semestre,id_profesor FROM oferta_academica WHERE id_carrera='$id_carrera' and id_periodo='70' and pensum='6' and mencion='$mencion' and nivel='$nivel' and sede='$sede' and id_seccion='$seccion' and id_materia='$id_materia'";

  $rs=mysql_query($sql, $conn);
  $row_materia = mysql_fetch_assoc($rs);
  $semestre=$row_materia['semestre'];
  $id_profesor=$row_materia['id_profesor'];
 
  
  $sql = "insert into `inscripciones` (`id_alumno`, `sede`, `id_seccion`, `id_carrera`, `pensum`, `nivel`, `mencion`, `id_periodo`, `semestre`, `turno`, `id_materia`,`id_docente`,`annio`) values ('$id_alumno', '$sede', '$seccion', '$id_carrera', '$pensum', '$nivel', '$mencion', '$id_periodo', '$semestre', '$turno', '$id_materia','$id_profesor','2013')";

  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_update()
{
  global $conn;
  global $_POST;

  $sql = "update `inscripciones` set `id`=" .sqlvalue(@$_POST["id"], false).", `id_alumno`=" .sqlvalue(@$_POST["id_alumno"], false).", `sede`=" .sqlvalue(@$_POST["sede"], true).", `id_seccion`=" .sqlvalue(@$_POST["id_seccion"], true).", `id_carrera`=" .sqlvalue(@$_POST["id_carrera"], true).", `pensum`=" .sqlvalue(@$_POST["pensum"], true).", `nivel`=" .sqlvalue(@$_POST["nivel"], true).", `mencion`=" .sqlvalue(@$_POST["mencion"], true).", `id_periodo`=" .sqlvalue(@$_POST["id_periodo"], false).", `semestre`=" .sqlvalue(@$_POST["semestre"], false).", `turno`=" .sqlvalue(@$_POST["turno"], true).", `id_materia`=" .sqlvalue(@$_POST["id_materia"], true) ." where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;

  $sql = "delete from `inscripciones` where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id`";
  if (@$_POST["xid"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid"], false);
  };
  $pk .= ")";
  return $pk;
}

?>

<script type="text/javascript">
	
	function validar_oferta(materia,carrera,pensum,mencion,id_alumno)
	{	
	if (materia!=0)
	 {
	    url="validar_oferta_materia.php?materia="+materia+"&carrera="+carrera+"&pensum="+pensum+"&mencion="+mencion+"&id_alumno="+id_alumno;
	    frame_oferta.location=url;
	 }	
	}
</script>	